Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84904 - gnome-stones segfaults immediately after launch
Summary: gnome-stones segfaults immediately after launch
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-games
Version: 9
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Jay Turner
URL:
Whiteboard:
Depends On:
Blocks: 79578
TreeView+ depends on / blocked
 
Reported: 2003-02-23 16:03 UTC by Tom Vergote
Modified: 2015-01-08 00:03 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-28 21:53:39 UTC


Attachments (Terms of Use)

Description Tom Vergote 2003-02-23 16:03:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030206

Description of problem:
When launching gnome stones from the menu in gnome, the game segfaults immediately.

If i launch it from a command prompt OTOH, i get screen after screen of error
messages like the following.

(gnome-stones:1210): GLib-GObject-WARNING **: gsignal.c:2497: signal id `1' is
invalid for instance `0x80a5170'
 
(gnome-stones:1210): GLib-GObject-WARNING **: gsignal.c:2497: signal id `1' is
invalid for instance `0x80a5948'
 
(gnome-stones:1210): GLib-GObject-WARNING **: gsignal.c:2497: signal id `1' is
invalid for instance `0x80a5948'

but the game loads and is playable

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. click the gnome stones item in the games menu
2. the game segfaults
3.
    

Actual Results:  segfaults

Expected Results:  should've been able to play

Additional info:

Comment 1 Jeremy Katz 2003-02-24 05:46:51 UTC
Fixed in gnome-games-2.2.0-2, available at
http://people.redhat.com/~katzj/gnome-games/ for verification

Comment 2 Bill Nottingham 2003-07-28 21:53:39 UTC
Closing some bugs that have been in MODIFIED for a while. Please reopen if the
problem persists.


Note You need to log in before you can comment on or make changes to this bug.